Skip to main content
PUT
/
trust-centers
/
{slugId}
/
control-categories
/
{categoryId}
/
controls
/
order
Reorder controls in a Trust Center control category
curl --request PUT \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/control-categories/{categoryId}/controls/order \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderedControlIds": [
    "<string>"
  ]
}
'
{
  "id": "93d69894dd525f806d7e5c48",
  "name": "Category name"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required
categoryId
string
required

Body

application/json
orderedControlIds
string[]
required

Ordered list of all control IDs in the category representing the desired order.

Response

200 - application/json

Ok

id
string
required

Unique identifier for the control category.

name
string
required

Name of the category.